"""App settings
------------

This module defines the settings options for the
``dasf-broker-django`` app.
"""


# Disclaimer
# ----------
#
# Copyright (C) 2022 Helmholtz-Zentrum Hereon
#
# This file is part of dasf-broker-django and is released under the
# EUPL-1.2 license.
# See LICENSE in the root of the repository for full licensing details.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the EUROPEAN UNION PUBLIC LICENCE v. 1.2 or later
# as published by the European Commission.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# EUPL-1.2 license for more details.
#
# You should have received a copy of the EUPL-1.2 license along with this
# program. If not, see https://www.eupl.eu/.


from __future__ import annotations

from django.conf import settings  # noqa: F401

#: Create new topics on message
#:
#: This flag controls if new topics are created when a message comes from a
#: producer. If False, messages with non-existing topics are ignored.
#:
#: Note that a user also needs the `dasf_broker.add_dasftopic`
#: permission to create topics.
DASF_CREATE_TOPIC_ON_MESSAGE = getattr(
    settings, "DASF_CREATE_TOPIC_ON_MESSAGE", True
)
